
         







                                A USER'S GUIDE FOR


                                 ****************
                                 **  PC-SPARE  **
                                 ****************

                                   Version  2.1
         





                 A Utility Economics Program for the IBM PC/XT/AT
         


                           ANALYSIS OF A SPARE COMPONENT

                             SHARED AMONGST UTILITIES
         






         This User's Guide for PC-SPARE provides information on how to  run
         the program and describes its many features and options.  PC-SPARE
         is provided on an "as is" basis.  There are no  warranties, either
         expressed or implied,  including but not  limited to implied  war-
         ranties of  merchantability of  fitness for  a particular purpose,
         and all such warranties are expressly and specifically disclaimed.
         Should you encounter difficulties  with the program or  have other
         suggestions about it, please contact the author.

                                J. Kenneth Shultis
                                Dept. Nuclear Engg.
                                Ward Hall, KSU
                                Manhattan, KS 66506
                                Phone: (913) 532-5624





                             Copyright (c) 1985, 1986
                    Kansas Electric Utilities Research Program
                              Kansas State University

                                All rights reserved
         





                                 TABLE OF CONTENTS

                                                                     Page
         1.  Problem Summary  . . . . . . . . . . . . . . . . . . . .  3
         2.  Preliminary Information  . . . . . . . . . . . . . . . .  5
               2.1  Program Requirements  . . . . . . . . . . . . . .  5
               2.2  Backup Copies of the Program  . . . . . . . . . .  5
               2.3  Printer Initialization  . . . . . . . . . . . . .  5
               2.4  Parallel and Serial Ports for Printers  . . . . .  6
               2.5  Files Used by PC-SPARE  . . . . . . . . . . . . .  6
               2.6  Monitors and Video Boards . . . . . . . . . . . .  7
               2.7  Starting the Program  . . . . . . . . . . . . . .  7
         3.  Program Overview . . . . . . . . . . . . . . . . . . . .  8
               3.1  Overall Program Structure . . . . . . . . . . . .  8
               3.2  The Function Keys of the Main Menu  . . . . . . .  9
         4.  Problem Data . . . . . . . . . . . . . . . . . . . . . . 11
               4.1  Introduction to Entering and Correcting Data  . . 11
               4.2  Spare Component and Common Data . . . . . . . . . 12
               4.3  Utility Company Data  . . . . . . . . . . . . . . 13
               4.4  Escalation Factors  . . . . . . . . . . . . . . . 14
               4.5  Data for Plant Components . . . . . . . . . . . . 14
               4.6  Definition of Pool Membership . . . . . . . . . . 16
               4.7  Entering and Changing Data Values . . . . . . . . 16
               4.8  Shortcuts for Entering Multiple Numbers . . . . . 17
               4.9  Jumping Between Data Tables . . . . . . . . . . . 18
               4.10 Erasing a Data Table  . . . . . . . . . . . . . . 18
         5.  Storing and Retrieving Input Data  . . . . . . . . . . . 19
               5.1  Storing Input Data on Disk. . . . . . . . . . . . 19
               5.2  Retrieving Input Data From Disk . . . . . . . . . 19
         6.  Analysis and Displaying Results  . . . . . . . . . . . . 20
               6.1  Input Data Checks . . . . . . . . . . . . . . . . 20
               6.2  Economic Calculations . . . . . . . . . . . . . . 20
               6.3  Displaying the Results  . . . . . . . . . . . . . 21
         7.  Printing Data and Results  . . . . . . . . . . . . . . . 22
               7.1  Use of Printer (.PRT) Files . . . . . . . . . . . 22
               7.2  Printer Initialization  . . . . . . . . . . . . . 22
               7.3  Printing the Input Problem Data . . . . . . . . . 23
               7.4  Printing Analysis Results . . . . . . . . . . . . 23
               7.5  Printing Selected Results . . . . . . . . . . . . 23
         8.  Saving and Comparing Analysis Results  . . . . . . . . . 24
               8.1  Saving Analysis Results on Disk . . . . . . . . . 24
               8.2  Comparison of Different Analyses  . . . . . . . . 24
               8.3  Printing the Comparison . . . . . . . . . . . . . 25
         9.  Managing Files on the Data Directory . . . . . . . . . . 26
         10. Program Initialization and Data Directories  . . . . . . 27
               10.1  Changing the Program Profile . . . . . . . . . . 27
               10.2  Printer Initialization Control String  . . . . . 27
               10.3  Saving the Profile . . . . . . . . . . . . . . . 28
         11. Miscellaneous Information  . . . . . . . . . . . . . . . 29
               11.1  Program Limitations  . . . . . . . . . . . . . . 29
               11.2  Error Recovery . . . . . . . . . . . . . . . . . 29
               11.3  Overflow in Displayed Values . . . . . . . . . . 30
               11.4  Example Problem  . . . . . . . . . . . . . . . . 30



                                        - 2 - 











                                1. PROBLEM SUMMARY


             PC-SPARE is  a program  that estimates  the expected  lifetime
         costs associated with the failure of a major critical component in
         an electric power plant.  Typically, such a component has a  small
         probability of  failure, but,  should it  fail, the  unit must  be
         derated (or shutdown) for an extended time while the component  is
         repaired (or replaced). During this repair time, replacement power
         must  be  purchased.   The  problem  addressed  by  PC-SPARE is to
         determine the economic feasibility of several utilities, each with
         multiple generating units,  together purchasing a  spare component
         that could then be used as a temporary replacement should a  plant
         component fail.  In this way,  the time a generating unit  must be
         derated due to a component failure would be greatly decreased.

             The program  calculates the  total costs  associated with  the
         critical component  over the  lifetime of  a spare-component pool.
         These costs  are computed  for each  member utility  and for  each
         generating  unit  in  the  pool.   Specifically, the present-worth
         lifetime costs are computed for two different management  policies
         for  treating  the  possibility  of  failure  of  a large critical
         component.  These policies, denoted by  Plan A and Plan B,  may be
         summarized as follows:

            PLAN A: Make no preparations beforehand; after the component
                    fails, repair it or order and install a replacement.

            PLAN B: Purchase and stockpile a replacement now;  use it as
                    a  temporary substitute  at any unit  that needs it,
                    and then return it to the pool  when a permanent re-
                    placement is acquired for the affected unit.

             The expected  present-worth costs  associated with  both plans
         are computed for each utility and each unit over a specified  time
         period  (the  pool  lifetime).   The  costs considered by PC-SPARE
         include

            - cost of repairing or replacing a failed component
            - cost of replacement energy while a unit is derated
            - salvage value (if any) of a failed component
            - cost of purchasing the spare component and setting up the pool
            - cost of using the spare component as a temporary substitute
            - salvage value of the spare at the end of the pool
            - operation and maintenance costs for each component
            - costs of operating and maintaining the spare-component pool
            - cost of reserve margins needed for each unit



                                       - 3 -







             In  calculating  all  these  costs,  the program is capable of
         including a wealth  of detail should  the analyst so  desire.  For
         instance, units may  have different lifetimes  and even enter  the
         pool after its formation.  Various costs can escalate at different
         rates  throughout  the  pool  life,  and generating units can have
         variable capacity and availability factors.  Finally, the  failure
         model for  the components  allows for  the spare  component to  be
         unavailable,  having  been  claimed  by  another  unit  that   has
         experienced a prior failure of the critical component.  These, and
         other program features, make PC-SPARE considerably more  versatile
         that earlier codes and models.

             From the total present-worth of all the costs associated  with
         both plans,  a benefit/cost  ratio for  creating a spare-component
         pool is computed for each unit protected by the pool and for  each
         member utility.  Should this ratio be greater than unity, then the
         formation of a spare component pool is economically justified.

             The details and assumptions  of the many economic  models used
         by PC-SPARE  are discussed  in the  report "An  Economic Model for
         Evaluating a Shared Spare Component"  (EES Report No. 172,  Kansas
         State Univ., Sept. 1985).
































                                       - 4 - 









                            2. PRELIMINARY INFORMATION



         2.1  PROGRAM REQUIREMENTS

             PC-SPARE  was  written  in  the  IBM  BASICA language and then
         compiled with the  IBM BASIC Compiler  to produce a  single, self-
         contained, program module called SPARE.EXE.  This module will  run
         on any IBM  PC/XT/AT  or compatible PC that uses DOS 2.0 (or later
         versions).

             The PC needs at least 192K of memory and one floppy disk drive
         (although two drives or a  hard disk make using the  program some-
         what easier).  It should work  with any standard  video board  and
         monitor althouth some menus will flash on faster if your  computer
         has a Color  Graphics Adapter connected  to a color  or monochrome
         graphics monitor.

             PC-SPARE  has  program  options  which  print problem data and
         results. Most  standard printers  can be  used with  PC-SPARE. The
         only major restriction is that the printer must either be  capable
         of printing in the compressed mode (17 cpi) or be able to use wide
         paper (132  column format).  The printer  is also  assumed to  use
         continuous-feed paper of 11 inch length (66 printed lines).  While
         paper of  different length  can be  used, page  breaks will not be
         properly placed on such non-standard length forms.


         2.2  BACKUP COPIES OF THE PROGRAM

             Before using PC-SPARE  for the first  time, make at  least one
         backup  copy  of  the  program  diskette.  The program is not copy
         protected and may be easily copied.  For example, use the DOS copy
         command
                                 COPY A:*.* B:

         to copy all the files on  the original diskette (assumed to be  in
         drive A:) onto a newly formatted system diskette that is in  drive
         B:.  Put the original distribution diskette away for safe keeping.


         2.3  PRINTER INITIALIZATION

             The  printed  output  from  PC-SPARE  is  designed to fit onto
         standard size  8.5  x 11 inch paper.  However, to  fit the results
         onto  this  size  paper,  it  is  necessary  that your printer use
         compressed (or  condensed) type  fonts (17  cpi). If  your printer
         cannot operate in the compressed  mode, then it will be  necessary
         to use wide paper (15 x 11 inches).


                                       - 5 -







             To enable PC-SPARE to use the compressed printer mode, a setup
         or  initializing  string  is  sent  to  the printer the first time
         output to the printer is requested.  This initializing string  can
         be specified by the  user from within the  program or read from  a
         special initialization file SPARE.INI when the program is  loaded.
         Details about creating and using this SPARE.INI file are discussed
         in Section 10.



         2.4  PARALLEL AND SERIAL PORTS FOR PRINTERS

             PC-SPARE  assumes  that  your  printer  is  connected  to  the
         parallel port LPT1:.  If your printer  is physically connected  to
         another port (i.e.,  LPT2:, LPT3:, COM1:,  COM2:, or COM3:),  then
         you must  redirect the  printer output  stream from  LPT1: to your
         printer port prior to using PC-SPARE.

             If you are using PC-DOS or MS-DOS, then this redirection to  a
         serial port can be accomplished using the DOS MODE command  (e.g.,
         "MODE LPT1:=COM1:").   (Under early  MS-DOS versions  this printer
         redirection  is  made  using  the  CONFIG  command.)  See your DOS
         manual  for   complete  instructions   on  how   to  perform  this
         redirection of the output to the printer.



         2.5  FILES USED BY PC-SPARE

             PC-SPARE  is  distributed  on  a  double-sided, double-density
         diskette of 360K capacity.  On the distribution diskette you  will
         find several files, only two  of which are needed on  your working
         disk, namely SPARE.EXE and SPARE.INI.  The following files are  on
         the program diskette:

                SPARE.EXE    -- The main program file for PC-SPARE
                SPARE.INI    -- File containing printer control codes
                                   and paths for data directories
                USERS.MAN    -- This user's manual
                README.DOC   -- File containing recent program information
                EXAMPLE.DTA  -- Set of example input data

             The program also creates three  types of data files which  are
         distinguished by their file-extensions.  Specifically,  extensions
         of  the  type  ".DTA"  contain  problem  input  data.   Files with
         extensions of ".RES" contain  results of a problem  analysis which
         can be used by the  program to compare different problem  results.
         Finally,  files  with  extensions  of  ".PRT"  are  printer  files
         containing data that would normally have been sent to the printer.
         These printer files can be  later edited to rearrange the  form of
         the output data, and to  serve as a mechanism for  storing printed
         data when no printer is available while the program is being run.


                                       - 6 -







         2.6  MONITORS AND VIDEO BOARDS

             PC-SPARE is designed to operate with a color graphics  adapter
         connected to either a color or monochrome graphics monitor.  Color
         is used if a color monitor is used (although it may be toggled  on
         and off by  pressing Alt-c whenever  the Main Menu  is displayed).
         Users with  a monochrome  monitor will  see no  effect if color is
         toggled on or off.

             If your computer  is not equipped  with an IBM  Color Graphics
         Adapter (or equivalent), PC-SPARE  will still function.  For  such
         systems, if the screen remains  blank for more than a  few seconds
         after  the  opening  logo  vanishes,  then  pressing the Alt-p key
         combination will cause  the Main Menu  to appear.  Thereafter  the
         program should function normally.



         2.7  STARTING THE PROGRAM

             To start PC-SPARE, place the program disk in the default drive
         and issue the  command "SPARE" (don't  type the quotation  marks).
         After a few seconds the program will have been loaded into  memory
         and the program logo will  appear on the screen.  It  is important
         to start PC-SPARE from the default drive since it is on that drive
         that  the  program  looks  for  the  program  initialization  file
         SPARE.INI.  The diskette containing  the program SPARE.EXE is  not
         needed once  the program  has been  started and  it may be removed
         from the drive.

             If the  initialization file  SPARE.INI is  not in  the default
         directory while the program is being loaded, you will be asked for
         its directory  or whether  you wish  to use  default values.   See
         Section 10 for a more detailed discussion of the program profile.

             A few seconds after the opening logo disappears, the Main Menu
         should be displayed.  However,  if the screen remains  blank, then
         simply press the Alt-p key combination to tell the program you  do
         not have a Color Graphics  Adapter and the Main Menu  will appear.
         Once  in  the  Main  Menu,  save  your program initialization file
         SPARE.INI  (Alt-F2--see  Section 3.2)  so that the  Main Menu will
         always appear automatically when you start the program.

             If your  system does  not have  the printer  connected to  the
         LPT1: port, it is necessary  to first redirect the printer  output
         from  LPT1:  to  your  printer  port before starting PC-SPARE (see
         Section 2.4).  In such cases, it is usually easier to  construct a
         .BAT file on the program disk that first initializes your  printer
         port and then starts PC-SPARE.
         




                                       - 7 - 










                                3. PROGRAM OVERVIEW



             PC-SPARE is  entirely menu  driven, thereby  freeing the  user
         from having  to consult  lengthy manuals.   However, it  is recom-
         mended that the first-time  user browse through this  User's Guide
         once prior to exercising the program.

             The program's purpose and  overall  logic is  straightforward.
         Input  data  about  the  component,  utilities,  units,  etc.  are
         prepared.  The  feasibility analysis  is then  performed, and  the
         results  displayed.   After  an  analysis,  the data may be easily
         altered and a  new analysis performed.   In this way,  the user is
         able  to  use  PC-SPARE  for  quickly  making many "what if?" type
         analyses  and  for  determining  the  sensitivity  of the analysis
         results to various input parameters.

             Program options are available to allow the input data and  the
         analysis results to be printed  out.  Also the input data  and the
         analysis results  can be  stored on  diskette for  later use.   It
         often is much easier to recall a previous set of input data and to
         modify  it  than  to  completely  enter  all  the  data  for a new
         analysis.  Finally, a program option allows the recalling of up to
         five previous analyses and the comparing of these results side  by
         side on the PC terminal.  This feature is particularly useful when
         trying  to  determine  the   importance  of  a  particular   input
         parameter.



         3.1  OVERALL PROGRAM STRUCTURE

             It is the  Main Menu of  PC-SPARE that controls  all the major
         functions  of  the  program.   One  always  performs a new task by
         returning to  the Main  Menu and  then selecting  the task.   Task
         selection  in  this  menu  (and  all  other menus) is indicated by
         pressing the appropriate  function keys.  The  Main Menu is  shown
         at the top of the next page.

             By pressing the appropriate Function Key, a principle task  is
         selected.  Some of these  tasks, in turn, display  secondary menus
         which  then  require  additional  selections  or  display  screens
         showing the results performed by the task.  You can always  return
         to the higher level menu or  screen by pressing the F10 key.   The
         relationship and interconnections among the various program  menus
         and display screens are illustrated in Fig. 1 (which is printed at
         the end of this document).



                                       - 8 - 





                ==========  MAIN MENU -- PROGRAM CONTROL  ==========

                         F1   Enter or edit problem data
                         F2   Save input problem data on disk
                         F3   Retrieve input data from disk
                         F4   Print the problem input data
                         F5   Perform analysis using present data
                         F6   Display results on the screen
                         F7   Print results of analysis
                         F8   Save analysis results on disk
                         F9   Compare results of different analyses
                         F10  Exit from program

                     Alt-F1   Manage files on data directory
                     Alt-F2   Change directory or printer setup

                ====================================================

                        Press function key for desired action



         3.2  THE FUNCTION KEYS OF THE MAIN MENU

             From the Main Menu, the F1 key takes you to the data entry and
         edit portion of PC-SPARE. Generally, this will be the first option
         of the program  used (or used  after retrieving an  input data set
         from  disk).   Data  can  be  entered,  altered,  blanked out, and
         examined in this portion of  the program.  In this portion,  as in
         all other parts  of the program,  the F10 key  returns you to  the
         previous higher level menu.

             The F2 key  allows you to  store the current  data set in  the
         computer memory onto the data diskette in a .DTA file.  This  file
         may be read back into memory  at a later time (using the  F2 key).
         If  a  file  with  the  specified  name already exists on the data
         diskette, you can specify  another name or overwrite  the existing
         file.

             The F3 key activates a portion of the program that allows  you
         to read in a set  of input data saved as  a .DTA file on the  data
         drive.  Options  allow  you  to  view  the names of all .DTA files
         residing on the data drive  diskette. The diskette may be  changed
         if the desired data set is not found on the current data diskette.

             The F4 key causes the current problem data to be printed.  The
         data  may  be  directed  to  the  physical  printer,  or,  at your
         request, written into a .PRT file on the data diskette so that you
         can later edit the file before printing it.

             The F5 key causes the economic analysis of the spare-component
         pool  to  be  performed  with  the  current problem data.  As each
         component belonging to the pool  is analyzed, a summary for  it is
         added to the table displayed on the screen.


                                       - 9 - 







             The  F6  key  transfers  program  control  to a section of the
         program that displays the most recent results in several different
         formats.   Results  may  be  displayed  for each utility, for each
         component, as a  summary for all  utilities, and as  a summary for
         all components.

             The F7  key causes  the most  recent results  to be printed or
         stored in a .PRT file on the data diskette for later editing.

             The F8 key causes the most  recent results to be saved on  the
         data diskette in  a .RES-type file.  These files are  written in a
         special  format  so  that  the  results  can be read back into the
         program in the result-comparison section (F9).

             The F9 key allows the program to compare results of  different
         analyses.  As  problem   parameters  are  changed,   the  economic
         attractiveness  of  the  spare-component  pool  will vary. In this
         section  the  results  of  up  to  five  different analyses can be
         compared side-by-side on the  screen for any particular  component
         or utility.

             The F10 key allows you to gracefully leave PC-SPARE.  The sole
         purpose of the F10 key is  to always return you to a  higher level
         menu and to  escape whatever task  you have gotten  yourself into.
         From the Main Menu, F10 lets you get out of PC-SPARE itself.

             Finally, there  are two  active Alt  keys.  The  first, Alt-F1
         causes  all  the  files  on  the  current  data  directory  to  be
         displayed.  You can then rename or delete any files and learn  how
         much free  space remains  on the  data directory.   The Alt-F2 key
         allows  you  to  change  the  current data directory.  Also Alt-F2
         allows  you  to  specify  a  printer initialization string, and to
         store  this  string  and  the  data  directory path in the program
         initialization file SPARE.INI.

             Although not shown on the Main Menu, the Alt-c key combination
         may be used to toggle the color displays on or off.  When  toggled
         off all  displays will  be the  usual white  on black,  while when
         activated  different  colors  will  be  used to enhance the screen
         displays.  This color toggle option is useful only for users  with
         color monitors  and will  not be  apparent to  users of monochrome
         monitors.












                                      - 10 -







                                 4.  PROBLEM DATA

             Pressing F1 while in the Main Menu causes PC-SPARE to  display
         the the  following  Menu for Input Data Tables  (or  Data Menu for
         short).  It is from this menu that you select the different  types
         of data tables needed to define a particular analysis problem.


               ============  MENU FOR INPUT DATA TABLES  ============

                         F1   Spare component and common data
                         F2   Utility company data
                         F3   Escalation factors
                         F4   Data for plant components
                         F5   Membership in the spare-component pool
                         F10  Return to Main Menu

               ======================================================


             Two of the data choices in this Data Menu actually represent a
         series  of  input  data  tables,  namely,  the  utility  and plant
         component tables.  There  is one data  table for each  utility and
         one for each plant component.  You can jump back and forth between
         adjacent utility data tables or between adjacent plant data tables
         by using the  F1 and F2  keys.  It should  be noted that  the last
         utility data table or plant data table is "adjacent" to the  first
         table (i.e. the tables are connected cyclically).


         4.1  INTRODUCTION TO ENTERING AND CORRECTING DATA

             By selecting one  of the possible  data choices from  the Data
         Menu (by pressing the appropriate function key), a data table will
         appear on the  screen.  The data  is then simply  entered into the
         indicated highlighted windows.  Full use can be made of the cursor
         and  backspace  keys  when  entering  or correcting the data.  The
         Enter key, the  Up-Cursor key, and  the Down-Cursor key  terminate
         data entry into any window and  moves the cursor to the next  data
         window.  The Up-  and Down-Cursor keys  allow one to  move rapidly
         between adjacent data windows.  If illegal keys are pressed (e.g.,
         a letter key when numerical  data are required) the computer  will
         beep and  refuse the  input characters.   Once the  data input  or
         editing is completed  for any data  table, the indicated  function
         keys quickly transfer you to the next (or previous) data table  or
         back to the Data Menu.

             There are several other tricks and shortcuts for entering  and
         correcting the problem data that you will find useful.  However, a
         discussion  of  these  advanced  features  will be postponed until
         later in this chapter.  First, let us examine what data is  needed
         for each data table.


                                      - 11 - 







         4.2  SPARE COMPONENT AND COMMON DATA

             The  first  type  of  data  table  provides  the  program with
         information  about  the  spare  component  and  structure  of  the
         spare-component pool.   The following  items are  entered in  this
         table.

           a. NAME OR TYPE OF SPARE COMPONENT: This label which may have up
              to 20 characters  is used to  identify the type  of component
              being examined.  The label  is used only for  output displays
              and plays no role in the analysis itself.

           b. MAXIMUM CAPACITY OF SPARE COMPONENT (MW):  It is assumed that
              the spare  component can  operate up  to this  power capacity
              when used as a temporary replacement.

           c. INITIAL COST OF THE SPARE COMPONENT (k$):   This is the total
              capital cost of acquiring the spare component, including  all
              charges for shipping, storage facilities, and  administrative
              expenses for establishing the spare component pool.

           d. PRESENT WORTH OF SPARE SALVAGE VALUE (k$):    After the spare
              component pool is disbanded, the spare component  (presumably
              still in working condition)  will be sold for  salvage.  This
              cost  is  the  present  salvage  value  of  such  a  used but
              functional component.

           e. ANNUAL MAINTENANCE AND STORAGE COSTS OF SPARE (k$):   This is
              the present yearly cost of maintaining the spare in  storage.
              It  includes  storage  facility  upkeep,  spare  maintenance,
              insurance, pool administrative costs, etc.

           f. FAILURE RATE OF PLANT COMPONENTS (per year):   This parameter
              is  the  expected  or  average failure  rate  for the type of
              component being considered, on a per installed-year basis. It
              is assumed to be the same for all plant components as well as
              for the spare, and to not change with component age.

           g. REPAIR OR REPLACEMENT TIME FOR A FAILED COMPONENT (d):   This
              is the time (in days)  from component failure until the  unit
              is  brought  back  into  full  service, assuming no temporary
              substitute is available.  This time  is taken to be the  same
              for all units in the pool.

           h. TIME SPARE IS USED AS  TEMPORARY SUBSTITUTE (d): This is  the
              time  an  affected  unit  must  be  derated  (by  the  failed
              component capacity) until the spare is installed and  brought
              into operation, plus the time the unit is again derated while
              the  temporary  spare  is  removed  and the new (or repaired)
              component is installed before the unit resumes full capacity.




                                      - 12 - 







           i. LIFETIME OF SPARE-COMPONENT POOL (y): This is the duration of
              the spare-component pool in years.  This lifetime must be  at
              least one year and no greater  than 40 years.  At the end  of
              the pool  lifetime, the  spare is  sold for  salvage and  the
              proceeds are redistributed to the member utilities.

           j. ALLOCATION METHOD FOR POOL COSTS:   The costs of establishing
              and maintaining the spare component pool  may be allocated to
              the member utilities on  two different  pro rata  bases.  The
              first method (=1) allocates these costs simply on the  number
              of units each utility has protected by the pool.  The  second
              option  (=2)  allocates  costs  based  on  the power capacity
              protected by the spare-component pool.



         4.3  UTILITY COMPANY DATA

             Pressing F2 while in the  Menu For Input Data Tables  (or Data
         Menu, for short)  displays the data  table for  the first utility.
         There is a data table for each utility (up to a maximum of 8), and
         you may  move from  one table  to the  next (or  previous) one  by
         pressing F2 (or F1).  The utility tables are  cyclically connected
         so that  Table 2  follows Table  1, and  Table 1  follows Table 8.
         Each Utility Data Table contains the following quantities:

           a. NAME (OR ACRONYM) FOR UTILITY:  This identification label may
              contain up to 20 alphanumeric characters.  This label must be
              included for all utilities  in the pool;  otherwise, PC-SPARE
              assumes the table is not to be used even though the remaining
              data in the table is supplied.

           b. DISCOUNT RATE:  This is the value of money to the utility and
              is used for all  present worth calculations for  the utility.
              It  must  be  entered  as  a  decimal  number  and  not  as a
              percentage.

           c. FIXED CHARGE RATE:   This is the effective fixed charged rate
              the utility would use for the component in question.   Again,
              it is entered as a decimal and not as a percentage.

           d. TIME PERIOD FOR FIXED CHARGE RATE (y):  This is the number of
              years appropriate for the previous value of the fixed  charge
              rate (i.e., the amortization period).

           e. COST OF RESERVE CAPACITY ($/kw):  This is the current cost to
              the utility for  a unit (kW)  of reserve capacity  (typically
              between  $100  and  $500  per  kW).    If  you do not wish to
              include  the  cost  of  reserves  in  the  analysis, set this
              parameter to zero.   The fixed charge  rate for this  reserve
              cost is  assumed to  be the  same as  that for  the component
              under consideration.


                                      - 13 - 





           f. SYSTEM RISK CHARACTERISTIC (MW):     This parameter indicates
              the reliability of the  utility's system.  It is  the inverse
              of the  slope of  the loss-of-load-probability  curve (LOLP),
              and typically is around 300MW.  For extremely small values of
              the SRC little reserve is  needed for the component.  As  the
              SRC increases the needed reserves increase, reach a  maximum,
              and then decrease to a  constant value for very large  values
              of the SRC.


         4.4  ESCALATION FACTORS

             After the Utility Data Tables  comes  the table of  escalation
         factors.  This  single table  provides information  on how various
         costs inflate during  each year of  the pool life.   Six different
         sets of escalation factors are used by PC-SPARE to estimate future
         costs.  Escalation factors (i.e., annual rates of escalation)  are
         needed for the following costs:

            1. repair or replacement of failed plant components
            2. the differential cost of replacement energy
            3. cost of reserve capacity (margin)
            4. O&M costs for both the spare and plant components
            5. costs of using the spare as a temporary substitute
            6. salvage values of components and other miscellaneous
               costs.

             PC-SPARE initially sets all these yearly escalation factors to
         zero.  It is possible to have a different escalation rate for each
         of the six components for  each year of the spare-component  pool.
         To aid  you in  entering all  of these  numbers, a  special number
         string editor  has been  built into  PC-SPARE that  makes entering
         multiple identical values very easy.  See Section 4.7 for details.


         4.5  DATA FOR PLANT COMPONENTS

             For each  component that  is protected  by the spare-component
         pool, a separate data table must be constructed.  PC-SPARE  allows
         up to 20  components to be  protected by the  pool.  The component
         data tables are connected  cyclically and the next  (previous) one
         may be reached by pressing F2 (F1) while displaying any  component
         data  table.   For  each  component,  the  following  data must be
         provided:

           a. IDENTIFICATION LABEL FOR THE COMPONENT:  This label, of up to
              20  alphanumeric  characters,  identifies  the component.  It
              must be provided  if the component  is to be  included in the
              analysis.

           b. ID NUMBER OF UTILITY OWNER: This is the identification number
              (1-8) of the utility that owns the component.  A window  will
              appear on the screen when this data field is entered  showing
              the ID numbers of all the utilities and their ID labels.


                                      - 14 - 






           c. ANNUAL CAPACITY FACTORS FOR UNIT:  The capacity factor is the
              fraction of the maximum possible energy production  (assuming
              continuous full-power operation) that actually is produced in
              a year.  A capacity factor must be provided for each year the
              unit belongs  to the  pool.  If  this factor  is zero for any
              year,   PC-SPARE   assumes   that   the   component  does not
              participate in the pool that  year and does not share  in any
              pool expenses  for  that  year.   This  null  capacity factor
              provides a way for a plant to join the pool after the  pool's
              inception or to leave the pool before its dissolution.

           d. ANNUAL FORCED OUTAGE RATE FOR UNIT:   The forced outage  rate
              (FOR)  is  the  fraction  of  the  year  that  the  unit  was
              effectively  shutdown  due  to  equipment  failures  or other
              unscheduled events.  A value for the FOR must be provided for
              every year that the unit belongs to the spare-component pool.
              It can be shown that  the capacity factor, Fcap, and  the FOR
              are related by Fcap < FOR. The program checks that the  input
              data satisfies this constraint.

           e. UNIT GENERATING CAPACITY  (MW):    This parameter defines the
              maximum full-power output of the generating unit.

           f. CAPACITY OF COMPONENT (MW):  This is the maximum power capac-
              ity of the component  being protected by the  spare-component
              pool.  This value  must be less  than or equal  to the unit's
              capacity.

           g. COST OF REPLACING/REPAIRING COMPONENT (k$):  This is the cost
              of  repairing  or  replacing  the  failed  component  at  the
              generating unit.   It includes  acquisition costs,  shipping,
              site preparation costs, engineering services,  administrative
              costs, etc.  However, it does not include replacement  energy
              costs or salvage  values of the  failed component (these  are
              treated separately).

           h. DIFFERENTIAL COST FOR REPLACEMENT ENERGY ($/MWh): This is the
              incremental  cost  of  electrical  energy (over that normally
              incurred by  the unit)  caused by  having to  purchase energy
              during  the  time  the  unit  is  derated  due to a component
              failure.

           i. SHIPPING AND INSTALLATION COSTS FOR USING SPARE (k$): This is
              the total cost  involved with moving  the spare to  the plant
              site and returning it to the pool storage location, plus  any
              costs incurred during its installation and subsequent removal
              as a temporary substitute.

           j. PRESENT O&M COST FOR COMPONENT (k$):  This is the annual cost
              of  using  the  plant  component  under  consideration.    It
              includes  both  maintenance   and  operational  costs   (e.g.
              consumed power, testing costs, insurance, etc.).



                                      - 15 - 






           k. PRESENT SALVAGE VALUE OF THE COMPONENT  (k$):     This is the
              present worth  of the  salvage value  of the  plant component
              (assumed to be still operable)  at the end of the  plant life
              or pool life (whichever is smaller).

           l. PRESENT SALVAGE VALUE OF A BROKEN COMPONENT (k$): This is the
              present worth of the plant component after it has failed.

           m. OTHER MISCELLANEOUS COSTS - PLAN A (k$): Often there will  be
              other costs or benefits to be realized under each  management
              plan that are  not explicitly accounted  for by the  economic
              model  used  by  the  program.   Such annual intangible costs
              (positive) or benefits (negative) are included in this  entry
              for Plan A.

           n. OTHER MISCELLANEOUS COSTS - PLAN B (k$): This cost represents
              the present annual intangible or other costs (or benefits  if
              negative) not explicity included in the spare component model
              that would be realized under Plan B.


         4.6  DEFINITION OF POOL MEMBERSHIP

             The  last  data  table  defines  the  membership of the spare-
         component pool.  Even though data may have been provided for  many
         utilities and plant components, not all need to be included in any
         one analysis.  The F5 key, when  in the Data Menu, causes a  table
         to  be  displayed  which  shows  all  of  the plant components' ID
         numbers and  labels.  To  include a  component in  the forthcoming
         analysis,  simply  place  a  "Y"  in  the  field next to its name.
         Similarly a "N" removes a component from the coming analysis.   By
         returning  to  this  table  between  analyses,  the effect of pool
         membership can easily be determined.  However, at least one  plant
         component must be included in every analysis.


         4.7  ENTERING AND CHANGING DATA VALUES

             While in any data table,  you can enter or change  values only
         in the highlighted data  fields.  The highlighted field  will move
         downward  one  position  (or  wrap  around  to  the  top  field if
         presently on the bottom position) by pressing the Enter key or the
         Down-Cursor key.  Similarly, the  highlighted field  moves up  one
         position (with  wrap around  at the  top) if  the Up-Cursor key is
         pressed.

             When the blinking cursor is in a highlighted field, it can  be
         moved to the left or  right by pressing the Left-  or Right-Cursor
         keys.  The Backspace key erases the character over the cursor  and
         moves the cursor  one space to  the left.  You  cannot move beyond
         the left or  right boundaries of  the data field  (a beep will  be
         heard and the cursor will stay at the boundary if you try to  move
         out of the field).


                                      - 16 - 






             As  you  type  data  into  the  highlighted  field  (or delete
         characters with  the Backspace  key), you  will find  only certain
         keys are active.  If numerical data is requested, then pressing an
         alphabetic  key  produces  only  a  beep  (indicating  an  error).
         Similarly, if only a "Y" or "N" response is needed, then only  the
         "Y" and "N" keys will  be active.  Also only permissible  function
         keys are active.

             Data which  you have  typed into  a highlighted  field is  not
         placed into the computer memory  until you move to another  field.
         Thus to  permanently enter  the data,  you must  press either  the
         Enter, Up-Cursor, or  Down-Cursor keys.  If  you press a  transfer
         function key (e.g.  F10), the  data in the current field,  if just
         newly entered, will be lost.  The  old value will still be in  the
         computer's  memory.   Thus,  if  you  have  just entered new data,
         always move to a different data field before transferring from the
         data table.

             Before the data  in a field  is entered into  memory, PC-SPARE
         performs  a  superficial  check  on  the  data  to  see  if  it is
         reasonable.  For example, while alphabetic letters cannot be typed
         into a  numeric field,  a non-number  such as  "-+4.5e--12" can be
         typed in.  If you try to enter this value, the computer will beep,
         blank out  the erroneous  input, and  wait for  a correct  number.
         Similarly,  if  a  positive  number  is  required,  the entry of a
         negative number  will cause  the computer  to beep  and erase  the
         offending number.  Additional  checks on the  input data are  also
         performed at the beginning of the analysis phase of the program.

             Alphabetic data is capitalized  automatically, so there is  no
         need to hold down the Shift key while typing in labels.


         4.8  SHORTCUTS FOR ENTERING MULTIPLE NUMBERS

             Most of the data windows require a single entry.  However, the
         table of escalation factors  and the windows for  the availability
         and capacity  factors for  each plant  component require  multiple
         numbers to be  entered (one for  each year of  the spare-component
         pool).  Although these data can  be entered as a string  separated
         by  commas,  a  special  feature  has  been built into PC-SPARE to
         facilitate the entry of multiple numbers.  A datum can be  entered
         followed by a number in parentheses [e.g. .45(7)] to indicate that
         the number is  to be repeated  the parenthetical number  of times.
         An alternative is to place an asterisk after a number (e.g. 9*) to
         indicate that  all remaining  numbers are  to be  set equal to the
         datum followed by  the asterisk.  Thus,  if a window  requires the
         entry of 15 numbers, the following three entries are equivalent:

                 .45,.45,.45,.6,.7,.7,.7,.7,.9,.9,.9,.9,.9,.9,.9
                 .45(3),.6,.7(4),.9(7)
                 .45(3),.6,.7(4),.9*



                                      - 17 - 







             After entering  a string  with encoded  multiple numbers,  the
         program converts the  string into a  series of individual  numbers
         and displays them separated by commas in the data field.  You  can
         change one of the numbers  by simply moving the cursor  to desired
         location  and  overwriting.   Equivalently,  a  new encoded number
         string can simply be written over the old data.

             Anything that comes after the  asterisk in a number string  is
         ignored.   Thus,  when  overwriting  an  existing  multiple number
         field, you do not have to delete the old data that remain  visible
         following the asterisk.



         4.9  JUMPING BETWEEN DATA TABLES

             The  five  different  types  of  input data tables are chained
         together.  While  in any  data table,  you can  always jump to the
         first table of  the next (previous)  type by pressing  the F4 (F3)
         key.  This  feature saves  you from  having to  return to the Data
         Menu and selecting the next (previous) data table type.

             The Utility Data Tables and the Component Data Tables are sets
         of identical tables that are cyclically connected.  While you  are
         in any one of  these tables, you can  jump to the next  (previous)
         table in the set by pressing the F2 (F1) key.  Since these  tables
         are cyclically  connected, pressing  F2 while  displaying the last
         table  (#8  for  utility  data  tables  and #20 for component data
         tables) returns you to the first table in the set.

             Rather than  use the  F2 key  to jump  to the  next utility or
         component data table, you may  jump forward in bigger steps.   Use
         the ALT-n double key combination to jump forward n tables.  Here n
         is  one  of  the  number  keys  on  the  top  row  of the keyboard
         (1,2,...,9,0 -- where 0 represents 10).  Remember that the  tables
         are  cyclically  connected  so  that,  for example, pressing ALT-8
         while viewing  a utility  data table  brings you  back to the same
         table.



         4.10  ERASING A DATA TABLE

             Any  data  table  can  be  erased  and returned to its initial
         default value by pressing  the ALT-d double key  combination while
         viewing the table.   This feature is  quite useful if  you want to
         replace all the  data in a  table and would  like to start  with a
         "clean sheet" rather than overwriting the existing data.






                                      - 18 - 







                       5. STORING AND RETRIEVING INPUT DATA


         5.1  STORING INPUT DATA ON DISK

             PC-SPARE allows you to save  your input data so that  you need
         not  reenter  them  when  rerunning  the  program at a later time.
         Pressing F2 when in the Main  Menu causes the Data Save screen  to
         be displayed.   You will  be asked  to enter  a filename  (up to 8
         characters).  The file extension  is always chosen by  the program
         to be ".DTA".   If you select  a filename that  is already on  the
         current data directory, you will be asked if the old file is to be
         overwritten.   If  you  want  to  save  the  old  file, then a new
         filename  must  be  entered.   (Alternatively,  you  could  put  a
         different diskette in the data drive or change the data  directory
         using the Alt-F2 option  from the Main Menu  ; however, this is  a
         poor practice since you would  then have two different files  with
         the same filename.)  To help  you select new filenames, a  program
         option allows you  to view all  filenames (with extension  ".DTA")
         that presently are on the data directory.

             Once an acceptable filename is selected, you will be asked  to
         enter an ID label (up to 20 characters in length) to identify  the
         data set  more thoroughly  than is  possible with  an 8  character
         filename alone.  This ID label  plays no role in the  program, but
         is simply an aid to help you identify old files of input data.


         5.2  RETRIEVING INPUT DATA FROM DISK

             Previously saved sets of input data can be read back into  the
         computer memory  by pressing  the F3  key while  in the Main Menu.
         You will be asked for the filename of the file containing the data
         (the file extension  is always assumed  to be ".DTA").   If a file
         with the entered filename is found on the current  data directory,
         the file will be read and all the data from it will overwrite  all
         data that are  currently in the  memory.  If a  file is not  found
         with the specified filename, you  will be requested to change  the
         directory (diskette) or enter another filename.  A program  option
         allows you to view the  names of all files with  extensions ".DTA"
         that are on the diskette in the data drive.  As the data are  read
         in, the ID label of the data set is displayed.

             Because of the  many data required  by PC-SPARE before  it can
         perform an analysis, this input data retrieval option can save you
         considerable time when preparing  the input data for  a particular
         problem.  Rather than enter all  the data for an analysis  item by
         item in all the data tables, a previous set of input data could be
         used, and then edited to change only those data that are different
         in the new analysis.  Much plant and utility specific data remains
         the same for different  problems involving the same  utilities and
         plants.


                                      - 19 - 







                        6.  ANALYSIS AND DISPLAYING RESULTS



         6.1  INPUT DATA CHECKS

             Pressing F5 while the  Main Menu is displayed  causes PC-SPARE
         to start the spare-component analysis using the currently resident
         problem data.  Before any cost calculations are made, however, the
         input data  is checked  for any  obvious data  errors.  A check is
         also made  that the  analysis problem  is properly  defined, i.e.,
         there is at least one unit active in the pool during each year  of
         the pool.   If any  data errors  are found,  an explanatory  error
         message will  be displayed.   Upon pressing  any key,  the program
         then will return  you to the  Data Menu where  you can select  the
         appropriate data  table to  correct the  data error.   If no  data
         errors are encountered, the actual economic analysis is begun.


         6.2  ECONOMIC CALCULATIONS

             If the initial data checks find no errors in the problem data,
         PC-SPARE automatically  begins the  economic analysis  of the  two
         management plans for treating the possible failure of the critical
         component (i.e., Plan A -- repair as needed, and Plan B -- use the
         spare-component pool).  The calculations take place in two phases.

             During  the  first  calculational  phase,  certain preliminary
         quantities  needed  for  the  detailed plant-by-plant analyses are
         computed.   These  include  inflation  factors and cost allocation
         factors for  each year  of the  spare-component pool.   Once these
         preliminary quantities have  been computed, PC-SPARE  will display
         some intermediate results on the screen.  Shown will be the number
         of  components  in  the  pool  for  each  year  of  the  pool, the
         allocation factor for  each component to  purchase the spare,  the
         component failure probability, and the probability the spare  will
         be available when needed for each year of the pool.

             The  program  then  pauses  while  you  read  this   displayed
         information  until  you  press  any  key  to  cause the program to
         continue.  Most likely  you will not  be very interested  in these
         intermediate results,  and you will get into the habit of striking
         a key as soon as the display appears to have the program  continue
         with the second phase of the calculations.

             The second calculational phase computes the various costs  for
         each year of the pool component-by-component.  A summary for  each
         plant component is displayed as the results for each component are
         completed.   After  all  the  plant  components are processed, the
         program pauses until any key  is pressed.  Pushing any key  erases
         the summary  and causes  the "Menu  For Displaying  Results" to be
         shown.  Through  this menu  you can  view the  analysis results in
         several different formats (see Section 6.3 following).

                                      - 20 - 







         6.3  DISPLAYING THE RESULTS

             The menu  for displaying  analysis results  is entered  either
         from the Main Menu (F6) or directly after performing an  analysis.
         From this  menu you  can display  the current  results in  several
         different formats, namely

                     - summary of costs for all utilities
                     - summary of costs for all units
                     - detailed cost breakdown for each utility
                     - detailed cost breakdown for each unit

             The  last  two  of  these  display  formats  are each a set of
         display  tables,  one  for  each  utility  or  component  that was
         included in  the analysis.   As was  the case  for the  input data
         tables, these  sets are  cyclically coupled  so that  the user can
         move from one table of results to the next (or previous) table  by
         pressing  the  F2  (F1)   function  key.   Using  the   double-key
         combination ALT-n (n is one of the numeric keys on the top row  of
         the keyboard) causes the result table that is n positions ahead to
         be displayed.  It should be  noted, that only tables that  contain
         results are actually displayed. Tables for utilities or components
         that were not included in the analysis are automatically skipped.

             Although PC-SPARE can also print out the analysis results (see
         the  next  Chapter),  any  display  table  can be printed by first
         bringing it to the screen and then using the <Shift-PrtSc> feature
         of the IBM PC (see Section 7.5).


























                                      - 21 -
         









                           7.  PRINTING DATA AND RESULTS


         7.1  USE OF PRINTER (.PRT) FILES

             Whenever you request PC-SPARE to print data (options F4 and F7
         of the Main Menu), you will then  be asked if the output is to  be
         sent directly to your printer or written in a "printer" file  (one
         with an extension .PRT) on the data disk.

             The  creation  of  a  .PRT  file  may  at  first glance appear
         somewhat unusual.  However, this program option has the  advantage
         of allowing you  to later edit  the file (with  your favorite text
         editor) and to rearrange the  format before printing it.  It  also
         allows you  to use  PC-SPARE on  a system  that does  not have  an
         attached printer and, by later  transferring the file or the  disk
         to a system with a printer,  you can obtain a printed copy  of the
         .PRT file.


         7.2  PRINTER INITIALIZATION

             If you elect to send the output directly to the printer and if
         this is the first time you have requested the printer, you will be
         prompted  to  align  the  paper  at  the  "Top  of  Form"  (at the
         perforations)  and  to  turn   the  printer  on.   PC-SPARE   then
         "initializes" the printer  by sending the  control codes found  in
         the SPARE.INI file or specified  in the Profile Menu (see  Section
         10), and then proceeds to print the specified data.

             If  no  printer  setup  string  is available, the program will
         assume you are using wide paper  (15 x 11 inches) and you  will be
         asked to confirm that this is indeed the case.  If you do not have
         wide paper in the printer, then you should return to the Main Menu
         and either forget about printing the data or place them in a  .PRT
         file for later printing.

             Once the printer is initialized, the program assumes that  the
         printer remains on and that  there is no need to  re-initialize it
         before any later  printing operations.  Thus  do not turn  off the
         printer  (thereby   resetting  it)   between  different   printing
         operations.

             Finally, you should be aware  that the printer remains in  its
         initialized  state  (compressed  type  plus  any  other   settings
         specified in  the setup  string) as  long as  it remains  on, even
         after you  have exited  from PC-SPARE.   Hence to  avoid conflicts
         when using other programs after PC-SPARE, you should turn off  the
         printer to clear it prior to running other programs.



                                      - 22 - 







         7.3  PRINTING THE INPUT PROBLEM DATA

             A  printed  copy  of  the  current  problem  data (i.e., those
         residing in the computer memory)  can be obtained by pressing  the
         F4 function key while the  Main Menu is displayed.  PC-SPARE  will
         ask you whether the data is to be sent directly to the printer  or
         placed in a .PRT file on the data disk.  The printer will also  be
         initialized if necessary (see above sections).

             All of the problem data will be printed in 132 column  format.
         The amount of  output depends on  the size of  the problem (up  to
         five pages for  8 utilities and  20 components) since  utility and
         plant component  data are  printed only  for those  that have been
         identified.  In other words,  empty input data tables  are omitted
         from the printout.


         7.4  PRINTING ANALYSIS RESULTS

             Pressing F7 while in the  Main Menu will cause the  results of
         the latest analysis  to be printed.   As with the  printing of the
         problem  data,  you  will  be  asked  whether you want to send the
         results directly  to the  printer or  to a  printer .PRT  file for
         later  editing  and  printing.   If  this  is  the  first printing
         operation requested of PC-SPARE,  the printer will be  initialized
         according  to  the  information  found  in  the  SPARE.INI file or
         specified in the Profile Menu.

             Two printed tables are produced by this program option.  First
         a detailed tabulation is made of the present-worth lifetime  costs
         under Plan A and Plan B  for each plant/component in the pool.   A
         second table is then printed giving the same information for  each
         utility company in the spare-component pool.


         7.5  PRINTING SELECTED RESULTS

             If problem  data or  analysis results  are desired  only for a
         single plant component  or utility, it  is possible to  print only
         this information  by using  the following  procedure.  First  make
         sure  your  printer  is  turned  on.   Then  display  the  desired
         information  (either  the  desired  data  table or detailed result
         table),  and  press  simultaneously  the  Shift-PrtSc  keys.   The
         contents of the screen will be sent directly to your printer.










                                      - 23 - 








                      8. SAVING AND COMPARING ANALYSIS RESULTS


         8.1  SAVING ANALYSIS RESULTS ON DISK

             It  is  often  useful  to  be  able  to save the results of an
         analysis  so  that  they  can  later  be  examined more closely or
         compared to  other results.   Pressing F8  while in  the Main Menu
         will cause PC-SPARE to write the current results onto the  current
         data directory.  All result files are given the extension  ".RES".
         You will be  asked for a  filename (up to  8 characters), and  the
         program will check that a file  with the same name is not  already
         on the data  directory.  If a  file with the  same name is  on the
         current directory, you will  be asked whether or  not it is to  be
         overwritten or if you  wish to change directories  (or diskettes).
         You may change the proposed filename so that there is no  conflict
         or you may overwrite the old file.  To help with the selection  of
         a filename, there is an option which will display the names of all
         the files with extensions of ".RES".


         8.2  COMPARISON OF DIFFERENT ANALYSES

             One of the most useful features about PC-SPARE is its  ability
         to allow you  to compare analysis  results obtained with  slightly
         different  input  data.   Up  to  five  different  analyses can be
         compared simultaneously.

             Pressing F9  while in  the Main  Menu causes  the menu for the
         comparison of  results to  be displayed.   On this  menu you  must
         enter which specific utility or  plant component is to be  used in
         the comparison.   Then the  names of  up to  five files containing
         analysis results can be entered.  If any file is not found on  the
         data directory, the name is not accepted.  An option allows you to
         see the names  of all files  on the data  disk with the  extension
         ".RES".   An  asterisk  (*)  denotes  that  the currently resident
         results are to be  used.  It is not  necessary to specify a  file-
         name for all five file  fields.  Any file fields unspecified  will
         simply result in null entries in the subsequent comparison table.

             To ensure that the correct data is recovered from the  various
         specified .RES files, the ID  label of the component (or  utility)
         data that  was extracted  from the  .RES file  is displayed to the
         right of the  file selection window  once the data  has been read.
         If you have specified a wrong .RES file (for example, one  created
         for  an  entirely  different  problem)  then the displayed ID name
         probably will not  agree with the  utility (or component)  name at
         the beginning  of the  comparison data  table.  Move  back to  the
         file-name window  and delete  the file  name or  enter the name of
         another file.



                                      - 24 - 







             Once all the comparison data have been read, a table comparing
         the  different  results  is  displayed  upon  pressing the F1 key.
         After  examining  this  comparison  table,  you  can return to the
         Comparison Menu simply by pressing any key.  You can then  specify
         another  utility  (or  component)  for comparison.  Note, however,
         that it is necessary to reenter the names of the results files  so
         that the data for the new utility (or component) can be read  from
         the diskette.  (Actually, just  pressing the <Enter> key  when the
         cursor is in the filename window will enter the displayed filename
         again -- there is no need to retype it.)



         8.3  PRINTING THE COMPARISON

             A printed copy of the table comparing different results may be
         obtained by using  the <Shift-PrtSc> feature  of the IBM  PC. Make
         sure your  printer is  turned on,  and then  while the  comparison
         table  is  displayed  on  the  screen  press  simultaneously   the
         Shift-PrtSc keys.
         

































                                      - 25 -
         










                      9. MANAGING FILES ON THE DATA DIRECTORY


             PC-SPARE uses the  same disk directory  to store and  retrieve
         all  the  data  files,  print  output  files,  and  result  files.
         Although this data  directory may be  changed many times  during a
         session, many users keep the same data directory (diskette) active
         throughout an entire session.   Consequently, it is possible  that
         the data  directory may  become filled  and unable  to accept more
         files.  If this condition  should occur, you could  simply replace
         the  diskette  if  the  data  directory  is  not  on  a hard disk.
         However, many of  the files cluttering  up the directory  probably
         are temporary files and are  no longer needed.  Thus, rather  than
         changing the diskette or directory, it may be preferrable to erase
         some of the files and thereby free up some storage space.

             To allow the user to erase files on the data directory without
         having to leave the program,  a module has been incorporated  into
         PC-SPARE that allows  one to delete  and rename files  on the data
         directory.  This module is entered from the Main Menu by  pressing
         the Alt-F1 key.  A listing of the file names currently on the data
         directory and available space will then be displayed.

             After all the filenames are  listed, the cursor keys may  then
         be used to move the  highlighting to any particular file.   If the
         F1 key is pressed, the  highlighted file will be deleted.   If the
         F2 key is pressed, you will be asked to enter a new file name  for
         the selected file.  In  this way you can  delete or rename any  or
         all of  the files  on the  data directory.   Finally, pressing F10
         returns you to the Main Menu.



       

















                                      - 26 -
         








                  10. PROGRAM INITIALIZATION AND DATA DIRECTORIES

             When PC-SPARE is loaded,  it seeks a special  file, SPARE.INI,
         on the default  directory.  This files  contains: (1) the  path to
         the data  directory, (2)  the path  for creating  a new  SPARE.INI
         file, and (3)  a string of  control characters used  to initialize
         your printer.  If SPARE.INI  is not found automatically,  you will
         be asked to supply  a path to this  file or to select  the default
         values.   (The  default  values  are  the  B:  drive  for the data
         directory and an empty printer setup string.)


         10.1  CHANGING THE PROGRAM PROFILE

             By changing the data directory (the first item in the  Profile
         Menu) you can move from directory to directory while still in  the
         program.   This  option  thus  allows  you  to  use different data
         directories (diskettes)  for reading  or writing  various .PRT  or
         .DTA files.

             Similarly, you  may change  the directory  where you  wish the
         revised profile  SPARE.INI to  be placed  as well  as to alter the
         string  of  control  characters  for  initializing the printer the
         first time it is used.  (Note: changing the printer initialization
         string has no effect on the  printer after it has been first  used
         -- you must make changes before using the printer.)


         10.2  PRINTER INITIALIZATION CONTROL STRING

             The  string  of  control  characters  used  to  initialize the
         printer is entered in the third window in the Profile Menu.   This
         initializing  string  is entered  as the desired sequence of ASCII
         printer control codes separated by a slash (/).  These ASCII codes
         must be in the range 0-255, and a terminating / is suggested.

             For example, if you have an IBM Graphics printer, EPSON FX, or
         Okidata (IBM  modification), then  to enable  the compressed mode,
         enter  the  following  control  string:  "15/"  (don't  type   the
         quotation marks!).  Other printer initialization codes can also be
         used.  For example,  if you wish  your EPSON FX  to be reset,  the
         left margin set at column  five, and the compressed mode  enabled,
         then enter  the string  "27/64/27/108/5/15/".  See  your printer's
         instruction manual for  the proper control  codes needed for  your
         printer.

             The SPARE.INI  file that  comes on  the distribution  diskette
         contains  only  a  single  control  code  ("15/")  for the printer
         initialization  string.   This  string  enables  an  IBM  Graphics
         equivalent printer  to use  the compressed  (condensed) type font.
         This file is  easily changed by  using the Alt-F2  option from the
         Main Menu (i.e., by using the Profile Menu)

                                      - 27 -

         10.3  SAVING THE PROFILE

             The usual  values you  use in  the program  profile should  be
         saved in  the SPARE.INI  file which  PC-SPARE automatically  seeks
         when loading.  To save the current profile values simply press  F2
         while in the Profile Menu.  If a SPARE.INI file already exists  in
         the indicated profile  directory, you will  be asked if  it may be
         overwritten; otherwise, the current profile values will be written
         into a file called SPARE.INI.

             To have this SPARE.INI  file read automatically when  PC-SPARE
         is loaded, it must reside on the default directory.  Otherwise you
         will be asked to supply the path to it.

         







































                                      - 28 -
         










                          11. MISCELLANEOUS INFORMATION



         11.1  PROGRAM LIMITATIONS

             Because  of  the  limited  amount  of  information that can be
         displayed on  the PC  screen, the  current version  of PC-SPARE is
         restricted in  the size  of the  spare-component pool  that can be
         analyzed.  Future  versions of  the code  may relax  some of these
         restrictions.  The current restrictions are:

                         Maximum number of utilities:     8
                         Maximum number of plants:       20
                         Maximum lifetime of pool:       40 years





         11.2  ERROR RECOVERY

             Conceivably many different  files can be  written to the  data
         disk during the  course of a  PC-SPARE session.  While  no file is
         extremely large (the maximum size is just over 20K, although  most
         are usually less than 10K), it is possible that the data disk  can
         become filled  or contain  too many  files.  PC-SPARE  produces an
         error message for these and other disk-related problems, and  then
         returns you to the Main Menu.  Should you encounter a "Disk  Full"
         or "Too Many Files" condition, simply use another diskette in  the
         data drive and repeat your command.

             It  is  not  expected  that  you  will encounter calculational
         errors.  But if some combination of pathological data should  lead
         to  a  calculational  error  condition  (e.g.,  divide  by  zero),
         PC-SPARE prints an error message  (ERR= ) and the program  line in
         which it occurred.  The program then stops and returns you to DOS.
         If you encounter such an error, please contact the author.













                                      - 29 - 







         11.3  OVERFLOW IN DISPLAYED VALUES

             Limited display area both on the screen and on the printer has
         required that restrictions be placed  on the size of numbers  that
         can be shown correctly.  Although the input data tables can accept
         numbers in scientific notation and thereby accept a wide range  of
         magnitudes, most  of the  output modules  are formatted  for costs
         between 1 billion and 1 thousand dollars.

             Monetary  values  are  printed  only  to  the  nearest hundred
         dollars, and thus if any value is less than one hundred dollars it
         will  be  displayed  as  zero.   If  any value is greater that one
         billion dollars the display field will overflow (easily recognized
         by a %  sign being placed  before whatever number  is shown.  Thus
         for  analyzing  components  costing  only  a  few dollars or a few
         billion dollars,  many of  PC-SPARE's output  displays will appear
         incorrect   (even   though   the   numbers   have  been calculated
         correctly!)

             Two remedies are suggested for these extreme cases.  The  most
         straightforward method is simply to change the units of the  input
         cost data (i.e., express costs in dollars or millions of dollars).
         Results will then be printed and displayed properly (although  the
         units such as "k$" in the heading captions will be incorrect).

             A second remedy  is to take  all your results  from the result
         tables generated for  each utility or  plant component.  In  these
         tables, if values  become  too  large  or  too  small,  scientific
         notation is used whenever fixed point notation becomes inadequate.
         The  simultaneous  Shift-PrtSc  key  combination  will print these
         tables  thereby  giving  you  a  permanent  record of the analysis
         results.


         11.4  EXAMPLE PROBLEM

             On the distribution diskette there is a file EXAMPLE.DTA which
         contains input problem data for an example problem.  This problems
         is for  four utilities  and  13 plant components  sharing  a spare
         generator step-up transformer.  To exercise PC-SPARE and to become
         familiar with the program simply  retrieve these data and try  all
         the different program options.












                                      - 30 - 

















                                     Figure 1.

              Two versions of Fig. 1 are given on the following pages.

              The first version will print on most printers,  but the
              second version requires an IBM Graphics printer (or its
              equivalent) that has the extended ASCII graphical char-
              acters.   Choose the version which appears best to you.

           



                                                             +---------------+
                                                          +--|   POOL DATA   |
                                      +---------------+   |  +---------------+
                                   +--| ALTER PROFILE |   |  +---------------+      +---------------+      +---------------+
                                   |  +---------------+   |--| UTIL. #1 DATA |------| UTIL. #2 DATA |-....-| UTIL. #8 DATA |
                                   |                      |  +-------|-------+      +---------------+      +-------|-------+
                                   |                      |          +---------------------------------------------+
                                   |  +---------------+   |  +---------------+
                                   |--|   DATA MENU   |---+--|  ESCAL. DATA  |
                                   |  +---------------+   |  +---------------+
                                   |                      |  +---------------+      +---------------+      +---------------+
                                   |                      |--| COMP. #1 DATA |------| COMP. #2 DATA |-....-| COMP #20 DATA |
                                   |                      |  +-------|-------+      +---------------+      +-------|-------+
                                   |                      |          +---------------------------------------------+
                                   |                      |  +---------------+
                                   |                      +--| POOL MEMBERS  |
                                   |                         +---------------+
                                   |  +---------------+      +---------------+
                                   |--|   SAVE DATA   |------| get filenames |
                                   |  +---------------+      +---------------+
                                   |  +---------------+      +---------------+
                                   |--| RETRIEVE DATA |------| get filenames |
                                   |  +---------------+      +---------------+
                                   |  +---------------+
                                   |--|  print data   |
                                   |  +---------------+
                                   |  +---------------+
                                   |--|  do analysis  |
                                   |  +---------------+      +--------------------+
               +---------------+   |                      +--| summary all comps. |
               |   MAIN MENU   |---|                      |  +--------------------+
               +---------------+   |                      |  +--------------------+
                                   |  +---------------+   |--| summary all utils. |
                                   |--| SHOW RESULTS  |---|  +--------------------+
                                   |  +---------------+   |  +---------------+      +---------------+      +---------------+
                                   |                      |--| util 1 detail |------| util 2 detail |-....-| util 8 detail |
                                   |                      |  +-------|-------+      +---------------+      +-------|-------+
                                   |                      |          +---------------------------------------------+
                                   |                      |  +---------------+      +---------------+      +---------------+
                                   |                      +--| comp 1 detail |------| comp 2 detail |-....-| comp 20 detail|
                                   |  +---------------+      +-------|-------+      +---------------+      +-------|-------+
                                   |--| print results |              +---------------------------------------------+
                                   |  +---------------+
                                   |  +---------------+      +---------------+
                                   |--| SAVE RESULTS  |------| get filenames |
                                   |  +---------------+      +---------------+
                                   |                           +------------------+
                                   |  +-----------------+   +--| comparison table |
                                   |--| COMPARE RESULTS |---|  +------------------+
                                   |  +-----------------+   |  +---------------+
                                   |  +-----------------+   +--| get filenames |
                                   +--| FILE MANAGEMENT |      +---------------+
                                      +-----------------+


                    Fig. 1.  Relation between the various program Menus (upper case) and Display Screens (lower case)




                                                             Ŀ
                                                          Ĵ   POOL DATA   
                                      Ŀ     
                                   Ĵ ALTER PROFILE      Ŀ      Ŀ      Ŀ
                                        ĴUTILITY #1 DATAĴUTILITY #2 DATAĴUTILITY #8 DATA
                                                                       
                                                                   
                                     Ŀ     Ŀ
                                   Ĵ   DATA MENU   ĴESCALATION DATA
                                          
                                                           Ŀ      Ŀ      Ŀ
                                                         Ĵ PLANT #1 DATA Ĵ PLANT #2 DATA Ĵ PLANT #20 DATA
                                                                       
                                                                   
                                                           Ŀ
                                                         Ĵ POOL MEMBERS  
                                                            
                                     Ŀ      Ŀ
                                   Ĵ   SAVE DATA   Ĵ show filenames
                                           
                                     Ŀ      Ŀ
                                   Ĵ RETRIEVE DATA Ĵ show filenames
                                           
                                     Ŀ
                                   Ĵ  print data   
                                     
                                     Ŀ
                                   Ĵ  do analysis  
                                           Ŀ
               Ŀ                         Ĵ all components
                  MAIN MENU   Ĵ                        
                                          Ŀ
                                     Ŀ   Ĵ all utilities 
                                   ĴDISPLAY RESULTSĴ  
                                          Ŀ      Ŀ      Ŀ
                                                         Ĵutil. #1 detailĴutil. #2 detailĴutil. #8 detail
                                                                       
                                                                   
                                                           Ŀ      Ŀ      Ŀ
                                                         Ĵplant #1 detailĴplant #2 detailĴplant 20 detail
                                     Ŀ                  
                                   Ĵ print results               
                                     
                                     Ŀ      Ŀ
                                   Ĵ SAVE RESULTS  Ĵ show filenames
                                           
                                                            Ŀ
                                     Ŀ   Ĵ comp. table   
                                   ĴCOMPARE RESULTSĴ  
                                          Ŀ
                                     Ŀ   Ĵ show filenames
                                   ĴFILE MANAGEMENT      
                                      


                    Fig. 1.  Relation between the various program Menus (upper case) and Display Screens (lower case)


